Modify

Opened 4 years ago

Closed 4 years ago

#14135 closed defect (fixed)

Board support needed for Linksys E1000 V2.1

Reported by: zcatlin@… Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: other Version: Trunk
Keywords: Cc:

Description

Barrier Breaker (at least, the 5 Sep 2013 trunk snapshot) successfully boots into the kernel, but the lack of board support appears to be causing it to drop into failsafe mode.

The serial log (note that I was not pressing any buttons on the device):

Decompressing............done
Start to blink diag led ...


CFE version 5.60.120.1  based on BBP 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: 12/03/10 16:33:20 CST (wzh@cybertan)
Copyright (C) 2000-2008 Broadcom Corporation.

Initializing Arena
Initializing Devices.

No DPN
This is a Serial Flash
Boot partition size = 262144(0x40000)
Found a 4MB ST compatible serial flash
Partition information:
boot    #00   00000000 -> 0003FFFF  (262144)
trx     #01   00040000 -> 0004001B  (28)
os      #02   0004001C -> 003F7FFF  (3899364)
nvram   #03   003F8000 -> 003FFFFF  (32768)
Partition information:
boot    #00   00000000 -> 0003FFFF  (262144)
trx     #01   00040000 -> 003F7FFF  (3899392)
nvram   #02   003F8000 -> 003FFFFF  (32768)
BCM47XX_GMAC_ID
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.60.120.1 
CPU type 0x19749: 300MHz
Total memory: 32768 KBytes

CFE mem:    0x80700000 - 0x807A7E70 (687728)
Data:       0x8073DF70 - 0x807411B0 (12864)
BSS:        0x807411B0 - 0x80741E70 (3264)
Heap:       0x80741E70 - 0x807A5E70 (409600)
Stack:      0x807A5E70 - 0x807A7E70 (8192)
Text:       0x80700000 - 0x8073DF6C (253804)

Boot version: v5.1.8
The boot is CFE
mac_init(): Find mac [c0:c1:c0:d2:3d:b3] in location 0
Nothing...
CMD: [ifconfig eth0 -addr=192.168.1.1 -mask=255.255.255.0]
Device eth0:  hwaddr C0-C1-C0-D2-3D-B3, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
CMD: [go;]
Check CRC of image1
  Len:     0x321000	(3280896)	(0xBC040000)
  Offset0: 0x1C		(28)		(0xBC04001C)
  Offset1: 0x960	(2400)	(0xBC040960)
  Offset2: 0x10D000	(1101824)	(0xBC14D000)
  Header CRC:    0x8960F1A9
  Calculate CRC: 0x8960F1A9
Image 1 is OK
Try to load image 1.
Waiting for 3 seconds to upgrade ...
CMD: [load -raw -addr=0x807a7e70 -max=0x1858190 :]
Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: _tftpd_open(): retries=0/3
_tftpd_open(): retries=1/3
_tftpd_open(): retries=2/3

### Start=554434503 E=955494193 Delta=401059690 ###
Failed.
Could not load :: Timeout occured
CMD: [boot -raw -z -addr=0x80001000 -max=0x6ff000 flash0.os:]
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3780 bytes read

### Start=958589463 E=959608769 Delta=1019306 ###
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
[    0.000000] Linux version 3.10.10 (fnord@tschunk) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r37895) ) #1 Thu Sep 5 09:46:38 UTC 2013
[    0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[    0.000000] bcm47xx: using bcma bus
[    0.000000] bcma: bus0: Found chip with id 0x5357, rev 0x01 and package 0x08
[    0.000000] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x26, class 0x0)
[    0.000000] bcma: bus0: Core 3 found: MIPS 74K (manuf 0x4A7, id 0x82C, rev 0x04, class 0x0)
[    0.000000] bcma: bus0: Found M25P32 serial flash (size: 4096KiB, blocksize: 0x10000, blocks: 64)
[    0.000000] bcma: bus0: Early bus registered
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28872k/32768k available (2526k kernel code, 3896k reserved, 584k data, 212k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.032000] Calibrating delay loop... 149.50 BogoMIPS (lpj=299008)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.032000] Mount-cache hash table entries: 512
[    0.036000] NET: Registered protocol family 16
[    0.060000] bio: create slab <bio-0> at 0
[    0.068000] Switching to clocksource MIPS
[    0.080000] NET: Registered protocol family 2
[    0.080000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.080000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.080000] TCP: Hash tables configured (established 512 bind 512)
[    0.080000] TCP: reno registered
[    0.080000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.080000] NET: Registered protocol family 1
[    0.084000] bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x1C, class 0x0)
[    0.084000] bcma: bus0: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x03, class 0x0)
[    0.084000] bcma: bus0: Core 4 found: USB 2.0 Host (manuf 0x4BF, id 0x819, rev 0x05, class 0x0)
[    0.084000] bcma: bus0: Core 5 found: DDR1/DDR2 Memory Controller (manuf 0x4BF, id 0x82E, rev 0x02, class 0x0)
[    0.084000] bcma: bus0: Core 6 found: I2S (manuf 0x4BF, id 0x834, rev 0x02, class 0x0)
[    0.084000] bcma: bus0: Core 7 found: Internal Memory (manuf 0x4BF, id 0x80E, rev 0x0B, class 0x0)
[    0.132000] bcma: bus0: Bus registered
[    0.136000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.136000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.136000] msgmni has been set to 56
[    0.136000] io scheduler noop registered
[    0.136000] io scheduler deadline registered (default)
[    0.136000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.172000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[    0.512000] console [ttyS0] enabled
[    0.540000] 6 bcm47xxpart partitions found on MTD device bcm47xxsflash
[    0.544000] Creating 6 MTD partitions on "bcm47xxsflash":
[    0.552000] 0x000000000000-0x000000040000 : "boot"
[    0.560000] 0x000000040000-0x0000003f0000 : "linux"
[    0.568000] 0x00000004001c-0x000000040960 : "loader"
[    0.576000] 0x000000040960-0x00000014d000 : "kernel"
[    0.584000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.600000] 0x00000014d000-0x0000003f0000 : "rootfs"
[    0.604000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.620000] mtd: partition "rootfs" set to be root filesystem
[    0.628000] mtd: partition "rootfs_data" created automatically, ofs=0x320000, len=0xd0000
[    0.636000] 0x000000320000-0x0000003f0000 : "rootfs_data"
[    0.644000] 0x0000003f0000-0x000000400000 : "nvram"
[    0.656000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds)
[    0.668000] TCP: cubic registered
[    0.672000] NET: Registered protocol family 17
[    0.676000] Bridge firewalling registered
[    0.680000] 8021q: 802.1Q VLAN Support v1.8
[    0.700000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
[    0.708000] Freeing unused kernel memory: 212K (8030b000 - 80340000)
procd: Console is alive
procd: - watchdog -
[    3.840000] pps_core: LinuxPPS API ver. 1 registered
[    3.844000] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    3.860000] PTP clock support registered
[    4.400000] bgmac bcma0:1: Found PHY addr: 30 (NOREGS)
[    4.412000] bgmac bcma0:1: TX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.420000] bgmac bcma0:1: TX on ring 0x240 supports unaligned addressing but this feature is not implemented
[    4.432000] bgmac bcma0:1: TX on ring 0x280 supports unaligned addressing but this feature is not implemented
[    4.440000] bgmac bcma0:1: TX on ring 0x2C0 supports unaligned addressing but this feature is not implemented
[    4.452000] bgmac bcma0:1: RX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.464000] bgmac bcma0:1: Support for Roboswitch not implemented
[    4.476000] libphy: bgmac mii bus: probed
[    4.488000] b53_common: found switch: BCM5325, rev 0
[    4.492000] (unregistered net_device): attached PHY driver [Broadcom B53 (2)] (mii_bus:phy_addr=bgmac-0-0:1e)
[    4.504000] bgmac: Broadcom 47xx GBit MAC driver loaded
[    4.844000] Found board: "Unknown Board"
[    4.848000] diag: unknown board found, try legacy detect
[    4.852000] diag: please open a ticket at https://dev.openwrt.org and attach the complete nvram
[    4.864000] diag: Detected 'Linksys WRT54G/GS/GL'
procd: - preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- failsafe button ses was pressed -
- failsafe -


BusyBox v1.19.4 (2013-09-05 09:39:00 UTC) built-in shell (ash)
Enter 'help' for a list of built-in commands.

ash: can't access tty; job control turned off
  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r37895)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------
root@(none):/#

The nvram variables:

root@(none):/# nvram show
boardnum=42
boot_ver=v5.1.8
stbcpo=0x0000
landevs=vlan1 wl0
mfg_wait=off
pdetrange2g=2
sdram_ncdl=0x00000000
boot_hw_ver=2.1
tftp_recv_timeout=3
ag0=2
ag1=2
boardpwrctl=0xC00
mcs2gpo5=0x6666
mcs2gpo6=0x6666
mcs2gpo7=0x6666
mcs2gpo1=0x6663
cfe_ping_timeout=2
mcs2gpo2=0x3333
mcs2gpo3=0x6663
mcs2gpo4=0x6666
mcs2gpo0=0x3333
ofdm2gpo=0x44444444
maxp2ga0=0x48
maxp2ga1=0x48
tftp_max_retries=5
regrev=0
sdram_config=0x0206
vlan1hwname=et0
tftp_rrq_timeout=3
ledbh5=7
ledbh1=11
ledbh2=11
bwduppo=0
ledbh3=11
ledbh0=11
wl0id=0x4347
lan_netmask=255.255.255.0
sromrev=8
vlan2ports=0 5
reset_gpio=10
et0macaddr=c0:c1:c0:d2:3d:b3
os_ram_addr=80001000
antswctl2g=1
sdram_init=0x0000
boot_hw_model=E1000
et0phyaddr=30
boardflags=0x00000710
wandevs=et0
lan_ipaddr=192.168.1.1
clkfreq=300,150,75
tftpd_ipaddr=192.168.1.254
wait_time=3
blink_diag_led=1
antswitch=0
extpagain2g=2
boardtype=0xF53A
aa2g=3
triso2g=3
pmon_ver=CFE 5.60.120.1 
boot_wait=on
boardrev=0x1100
rxchain=3
cddpo=0x0000
pa2gw0a0=0xFF1C
pa2gw0a1=0xFF1C
cck2gpo=0x0000
macaddr=00:90:4C:01:50:2a
sdram_refresh=0x0000
ccode=0
vlan1ports=1 2 3 4 5*
pa2gw1a1=0x151E
pa2gw1a0=0x149E
leddc=0xFFFF
txchain=3
boardflags2=0x00000000
xtalfreq=20000
pa2gw2a0=0xFB0A
pa2gw2a1=0xFAF8
vlan2hwname=et0
bw40po=0x0000
itt2ga0=0x20
itt2ga1=0x20
tssipos2g=1
gpio7=wps_status_led
gpio8=wps_led
gpio9=wps_button
et0mdcport=0
watchdog=0
et_pwrsave=0

Attachments (1)

e1000v2.1-gpio.patch (3.0 KB) - added by zcatlin@… 4 years ago.
Patch enabling E1000 V2.1 board detection, LEDs/buttons

Download all attachments as: .zip

Change History (4)

Changed 4 years ago by zcatlin@…

Patch enabling E1000 V2.1 board detection, LEDs/buttons

comment:1 Changed 4 years ago by zcatlin@…

With the patch I just attached, the board is properly recognized, and the GPIO LEDs/buttons are set up properly. There's more work to be done on this device for it to work (network not working currently), but it at least boots fully now.

comment:2 Changed 4 years ago by zcatlin@…

Signed version of the patch sent to openwrt-devel.

comment:3 Changed 4 years ago by hauke

  • Resolution set to fixed
  • Status changed from new to closed

Thank your for the patch, it was applied in r37977.

There are some general problems with the Ethernet driver and the wireless driver with this SoC.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.